E-MailRelay

Classes | Public Member Functions | List of all members
GSmtp::FilterFactoryBase Class Referenceabstract

A factory interface for making GSmtp::Filter message processors. More...

`#include <gfilterfactorybase.h>`

Inheritance diagram for GSmtp::FilterFactoryBase:
[legend]

## Classes
struct | Spec
| Filter specification tuple for GSmtp::FilterFactoryBase::newFilter(). More...

## Public Member Functions
virtual std::unique_ptr< Filter > | newFilter (GNet::EventState, Filter::Type, const Filter::Config &, const Spec &spec)=0
| Returns a Filter on the heap. More...
virtual | ~FilterFactoryBase ()=default
| Destructor.

## Detailed Description

A factory interface for making GSmtp::Filter message processors.

Definition at line 42 of file gfilterfactorybase.h.

## Member Function Documentation

## ◆ newFilter()

virtual std::unique_ptr< Filter > GSmtp::FilterFactoryBase::newFilter | ( | GNet::EventState | ,
|  | Filter::Type | ,
|  | const Filter::Config & | ,
|  | const Spec & | spec
| ) |  |
| pure virtual

Returns a Filter on the heap.

Optionally throws if an invalid or unsupported filter specification.

Implemented in GFilters::FilterFactory.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gfilterfactorybase.h